#include<bits/stdc++.h>
using namespace std;
int n;
int a[100005], b[100005];
void set1(){
    int l = 1;
    int r = n+n;
    int i = 1;
    int j = 1;
    int br = 1;
    while(l < r){
        if(br % 2 == 0){
           b[j] = r;
           if(br == n-1) {
              b[j+1] = l;
              b[j+2] = l+1;
           }
           else b[j+1] = l;
           j+=2;

        }
        else {
           a[i] = r;
           a[i+1] = l;
           i+=2;
        }
        br++;
        l++;
        r--;
    }
    for(int i = 1; i <= n; i++){
        cout << a[i] << " ";
    }
    cout << endl;
    for(int i = 1; i <= n; i++){
        cout << b[i] << " ";
    }
    cout << endl;
}

int main(){
    /*ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);*/
    cin >> n;
    set1();
    return 0;
}